LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRequestCallback Interface Reference

specifies an interface which can be used to call back an implementation More...

`import"XRequestCallback.idl";`

Inheritance diagram for XRequestCallback:

## Public Member Functions
void | addCallback ([in] XCallback xCallback, [in] any aData)
| adds a callback request to the implementation More...

## Detailed Description

specifies an interface which can be used to call back an implementation

## Member Function Documentation

## ◆ addCallback()

void addCallback | ( | [in] XCallback | xCallback,
|  | [in] any | aData
| ) |  |

adds a callback request to the implementation

Parameters

  aData | any private data which will be provided to the callback implementation.
  xCallback | a reference to the callback which should be called by the implementation of this interface.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XRequestCallback.idl